AG_DRIVERDUMMY(3)

NAME
AG_DriverDUMMY - agar no-op driver

DESCRIPTION
The Agar dummy driver is intended for testing and debugging applications. It advertises itself as a multi-window driver with texture management capabilities. In debug mode, the driver reports all low-level driver operations using AG_Debug(3).

INHERITANCE HIERARCHY
AG_Driver(3) -> AG_DriverMw(3) -> AG_DriverDUMMY.

EXAMPLES

    AG_InitGraphics("dummy");

OPTIONS
stereo
    Request a stereoscopic visual.

SEE ALSO
AG_Driver(3), AG_GL(3), AG_InitGraphics(3), AG_Intro(3)

HISTORY
The dummy driver first appeared in Agar 1.6.0.